Subject: [bug#68412] [PATCH v2] scripts: edit: Accept generic formatting parameter.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 29 Jan 2024 14:24:15 +0100

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> This will hopefully end the opening of unwanted files.
>
> * guix/scripts/edit.scm (%location-format): New parameter.
> (location->location-specification): Use %location-format.
> (spawn-editor): Adjust accordingly.
>
> Fixes: Pass special flags to ‘kate’ <https://bugs.gnu.org/44272#14>

LGTM!

>> > Fixes: Pass special flags to ‘kate’ <https://bugs.gnu.org/44272#14>
>> 
>> Rather: “Fixes <https://issues.guix.gnu.org/44272>.”
> I'm using a convention that I've proposed earlier in [1].
> Since we're currently adding ChangeIds without any of the supported
> infra (AFAIK), I think following my own proposal here is fair game.

It’s not: conventions, by definition, are agreed upon collectively.
Regardless of the merits of a proposal, we first have to build consensus
for the proposal before starting using it.

Thanks,
Ludo’.